> For the complete documentation index, see [llms.txt](https://docs.appfarm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appfarm.io/reference/resources/fonts.md).

# Fonts

You can upload custom fonts for use in [themes](/reference/resources/themes.md), and build apps aligned to your brand.

* Supported font formats are TTF, OTF and WOFF/WOFF2.
* You must be licensed to upload the font and embed it in your app.
* Fonts are identified and grouped by *font family*.
* To use a custom font in an app you need to first add the font family to a theme.

## Add a new font

You can upload one or more font files at a time. After selecting the file(s) you are shown a list where you can confirm or edit the font family, font weight, and font style that is represented in a given file.

You must confirm that you have permission to use the fonts according to the font's license agreement(s).

You can additional fonts featuring other weights and styles later. Verify that the name of the font family is the same as any existing fonts uploaded for that family to ensure that they are grouped together.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appfarm.io/reference/resources/fonts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
